System.ComponentModel.DataAnnotations 4.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Class, AllowMultiple=false, Inherited=true)

When a column in a table contains a foreign key, Dynamic Data infers the display value for that column from the referenced table. By default, the first column of the referenced table whose type is string (or text) is used. The attribute enables you to change this default behavior and to specify a different parent table column to use as the column for the foreign key field.

When you apply this attribute, you must adhere to the following usage constraints:

The attribute can only be applied to a class.

The attribute can be inherited by derived classes.

The attribute can be applied only one time.

Specifies the column that is displayed in the referred table as a foreign-key column.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class by using the specified column.

  The name of the column to use as the display column.
- Constructor
  4.0.0.0

  By default, the column specified in will be sorted in ascending order.

  Initializes a new instance of the class by using the specified display and sort columns.

  The name of the column to use as the display column.
  The name of the column to use for sorting.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class by using the specified display column, and the specified sort column and sort order.

  The name of the column to use as the display column.
  The name of the column to use for sorting.
  true to sort in descending order; otherwise, false. The default is false.
- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets the name of the column to use as the display field.

- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets the name of the column to use for sorting.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether to sort in descending or ascending order.